## mrtg 2.17.9

=== debian/changelog ===
mrtg (2.17.9-1) unstable; urgency=medium

  * New upstream version 2.17.9.
  * The current upstream version (2.17.9) is not able to execute 'make install'
    because the upstream didn't generate the docs again before to create the
    tarball. Consequently, this revision is using the following workarounds:
      - debian/not-installed: added usr/share/doc/mrtg2/mrtglib.1 and
        usr/share/man/man1/mrtglib.1. These files are wrong manpages because
        they are in level 1, not in level 3.
      - debian/rules: added a target 'execute_before_dh_Auto_install' to
        generate new manpages in doc/.
      - debian/source/options: added to ignore the new manpages generated in
        doc/.
  * debian/copyright:
      - Removed files no longer delivered from the upstream tarball:
          ~ bin/cammer
          ~ lib/mrtg2/Pod/Checker.pm
          ~ lib/mrtg2/Pod/Find.pm
          ~ lib/mrtg2/Pod/ParseUtils.pm
      - Updated upstream copyright years.
  * debian/po/de.po: updated translation for German. Thanks to Helge
    Kreutzmann <debian@helgefjell.de>. (Closes: #1003888)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Jan 2022 15:11:26 -0300
