=== debian/changelog ===
mrtg (2.17.10-3) unstable; urgency=medium

  * debian/control: dropped an unneeded digit in Standards-Version.
  * debian/po/fr.po: updated. Thanks to Jean-Pierre Giraud
    <jenapierregiraud75@free.fr>. (Closes: #1004422)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Jan 2022 14:30:07 -0300

mrtg (2.17.10-2) unstable; urgency=medium

  * debian/po/:
      - nl.po: updated. Thanks to Frans Spiesschaert
        <Frans.Spiesschaert@yucom.be>. (Closes: #1004318)
      - pt_BR.po: fixed a mistake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 13:14:06 -0300

mrtg (2.17.10-1) unstable; urgency=medium

  * New upstream version 2.17.10.
  * The upstream fixed the source code (thanks). Consequently, reverted all
    changes described in last changelog in the following files:
      - debian/not-installed
      - debian/rules
      - debian/source/options (removed this file)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jan 2022 23:22:04 -0300
