=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 	for i in cfgmaker indexmaker mrtg; do \
 	    sed -i 's/#! \/usr\/bin\/perl -w/#! \/home\/oetiker\/.plenv\/shims\/perl -w/' bin/$$i; \
 	done
-
-# Temporary workaround for upstream version 2.17.9
-execute_before_dh_auto_install:
-	make doc
 
 # Using *-indep to avoid issues when building arch dependent binary only
